org.eclipse.oomph.setup.impl

## Class WorkspaceToInstallationsMapEntryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.setup.impl.WorkspaceToInstallationsMapEntryImpl

- All Implemented Interfaces:
    Map.Entry<Workspace,EList<Installation>>, Notifier, BasicEMap.Entry<Workspace,EList<Installation>>, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

      public class WorkspaceToInstallationsMapEntryImpl
      extends MinimalEObjectImpl.Container
      implements BasicEMap.Entry<Workspace,EList<Installation>>

  An implementation of the model object 'Workspace To Installations Map Entry'.

  The following features are implemented:

  - `Key`
  - `Value`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `hash`
    `protected Workspace` | `key` The cached value of the '`Key`' reference.
    `protected EList<Installation>` | `value` The cached value of the '`Value`' reference list.

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WorkspaceToInstallationsMapEntryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Workspace` | `basicGetTypedKey()`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EMap<Workspace,EList<Installation>>` | `getEMap()`
    `int` | `getHash()`
    `Workspace` | `getKey()`
    `Workspace` | `getTypedKey()`
    `EList<Installation>` | `getTypedValue()`
    `EList<Installation>` | `getValue()`
    `void` | `setHash(int hash)`
    `void` | `setKey(Workspace key)`
    `void` | `setTypedKey(Workspace newKey)`
    `EList<Installation>` | `setValue(EList<Installation> value)`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `equals, hashCode`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eNotify`

- - ### Field Detail

    - #### key

          protected Workspace key

      The cached value of the '`Key`' reference.
      See Also:
        `getTypedKey()`
      Generated
      Ordered

    - #### value

          protected EList<Installation> value

      The cached value of the '`Value`' reference list.
      See Also:
        `getTypedValue()`
      Generated
      Ordered

    - #### hash

          protected int hash

      Generated

  - ### Constructor Detail

    - #### WorkspaceToInstallationsMapEntryImpl

          protected WorkspaceToInstallationsMapEntryImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `BasicEObjectImpl`
      Generated

    - #### getTypedValue

          public EList<Installation> getTypedValue()

      Generated

    - #### getTypedKey

          public Workspace getTypedKey()

      Generated

    - #### basicGetTypedKey

          public Workspace basicGetTypedKey()

      Generated

    - #### setTypedKey

          public void setTypedKey(Workspace newKey)

      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `BasicEObjectImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `BasicEObjectImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `BasicEObjectImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `BasicEObjectImpl`
      Generated

    - #### getHash

          public int getHash()

      Specified by:
        `getHash` in interface `BasicEMap.Entry<Workspace,EList<Installation>>`
      Generated

    - #### setHash

          public void setHash(int hash)

      Specified by:
        `setHash` in interface `BasicEMap.Entry<Workspace,EList<Installation>>`
      Generated

    - #### getKey

          public Workspace getKey()

      Specified by:
        `getKey` in interface `Map.Entry<Workspace,EList<Installation>>`
      Generated

    - #### setKey

          public void setKey(Workspace key)

      Specified by:
        `setKey` in interface `BasicEMap.Entry<Workspace,EList<Installation>>`
      Generated

    - #### getValue

          public EList<Installation> getValue()

      Specified by:
        `getValue` in interface `Map.Entry<Workspace,EList<Installation>>`
      Generated

    - #### setValue

          public EList<Installation> setValue(EList<Installation> value)

      Specified by:
        `setValue` in interface `Map.Entry<Workspace,EList<Installation>>`
      Generated

    - #### getEMap

          public EMap<Workspace,EList<Installation>> getEMap()

      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html